if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib ; rm -rf libswami.so.0 )
( cd usr/lib ; ln -sf libswami.so.0.0.0 libswami.so.0 )
( cd usr/lib ; rm -rf libswami.so )
( cd usr/lib ; ln -sf libswami.so.0.0.0 libswami.so )
( cd usr/lib ; rm -rf libswamigui.so )
( cd usr/lib ; ln -sf libswamigui.so.0.0.0 libswamigui.so )
( cd usr/lib ; rm -rf libswamigui.so.0 )
( cd usr/lib ; ln -sf libswamigui.so.0.0.0 libswamigui.so.0 )
